Subject: RE: Some IPv6LL operational experience

From: "Bound, Jim" <[email-masked]>
Date: Thu, 21 Aug 2003 22:51:12 -0400

Keith,

That is not going to happen.  The market will ignore such silliness.

/jim

> -----Original Message-----
> From: Keith Moore [mailto:[email-masked]] 
> Sent: Thursday, August 21, 2003 8:17 PM
> To: Bob Hinden
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Re: Some IPv6LL operational experience
> 
> 
> I strongly disagree that this practice adds value to IPv6.  
> IMHO it has the potential to do a great deal of harm.  It is 
> even worse that NAT.
> 
> Did we go to all of that trouble to deprecate SL only to find 
> that people will now insist that LLs are generally usable by apps?
> 
> If we're going to make IPv6 even less predictable and less 
> functional than IPv4, why did we bother?
> 
> Keith
> 
> > Thanks for describing this.  The local discovery and communication 
> > problem
> > is important.  I also think this is an important approach 
> because it uses 
> > IPv6 in a local environment in a way that adds value 
> without the need for 
> > it to be available globally.  It adds value without the 
> need for everyone 
> > else to do it first.
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
> 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Keith Moore <[email-masked]>
Date: Thu, 21 Aug 2003 23:26:23 -0400

I wish I could share your confidence in the wisdom of the market.  In my
experience, the market does eventually learn what works well and what doesn't,
but for subtle things like how addresses are used this can take years.  And by
the time the market does learn, it's often too entrenched to change.  NAT is
one example; email user agents that make it easy to run executable attachments
are another [*].  

IETF can't stop vendors from doing harmful things.  But we're being
irresponsible if we fail to discourage the harmful things that we know about.

Keith

[*] The MIME standard even repeatedly warned about the hazards of doing so,
but that didn't stop unscrupulous mail client vendors from deploying MUAs that
have become fertile breeding grounds for viruses.   Why nobody has sued them
for this is beyond me, because their negligence and refusal to follow the
standards has resulted in billions of dollars of downtime (thus lost revenue)
and support costs for networks and end systems - even to those not using their
software.)